Skip to main content
GET
/
metrics
/
v1
/
markets
/
{entityIdentifier}
/
metrics
/
{datasetSlug}
/
time-series
Get market timeseries data
curl --request GET \
  --url https://api.messari.io/metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series \
  --header 'X-Messari-API-Key: <api-key>'
import requests

url = "https://api.messari.io/metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series"

headers = {"X-Messari-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};

fetch('https://api.messari.io/metrics/v1/markets/{entityIdentifier}/metrics/{datasetSlug}/time-series', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "error": null,
  "data": {
    "points": [
      [
        1748736000,
        1674014684.4481711
      ],
      [
        1748822400,
        2131215625.3342063
      ],
      [
        1748908800,
        2365233260.212919
      ],
      [
        1748995200,
        2741424611.580782
      ],
      [
        1749081600,
        2688205439.7842703
      ]
    ]
  },
  "metadata": {
    "pointSchemas": [
      {
        "name": "Timestamp",
        "slug": "time",
        "description": "Timestamp of the data point.",
        "is_timestamp": true
      },
      {
        "name": "Volume (USD)",
        "slug": "volume",
        "description": "Volume traded during candle in USD.",
        "is_timestamp": false
      }
    ],
    "granularity": "1d"
  }
}
{
  "data": "<unknown>",
  "error": "<string>"
}
{
  "data": "<unknown>",
  "error": "<string>"
}
{
  "data": "<unknown>",
  "error": "<string>"
}
x402 Support: Supported. See the x402 guide.

Authorizations

X-Messari-API-Key
string
header
required

Path Parameters

entityIdentifier
string
default:6057-140-265
required

Market ID (e.g., 6057-140-265 for BTC/USDT on Bitrue)

Example:

"6057-140-265"

datasetSlug
enum<string>
default:volume
required

Dataset slug: 'price' returns OHLC prices in USD, 'volume' returns trading volume in USD

Available options:
price,
volume
Example:

"volume"

Query Parameters

start
string
default:2025-06-01T00:00:00Z

Time range start

Example:

"2025-06-01T00:00:00Z"

end
string
default:2025-06-07T00:00:00Z

Time range end

Example:

"2025-06-07T00:00:00Z"

Response

Default response

data
object
required
error
string
metadata
object